Support Article

Unable to login to Pega7.2.1 with SSO URL on IE11

SA-27968

Summary



When logging into an application via SSO, Pega does not detect a supported browser. Login without SSO is successful.


Error Messages



"Pega 7 uses the latest web technology and your browser doesn't support those technologies. Please update to Chrome, Safari, Firefox, Internet Explorer 11 or Edge."


Steps to Reproduce

  1. Enter SSO URL on Internet Explorer 11.
  2. Provide credentials and it throws an error about using an unsupported browser. However it works fine on Firefox browser .


Root Cause



A defect or configuration issue in the operating environment:

It appears that somewhere in the specific environment, certain browser user-agent string ( for example: MSIE 7.0) has been added even if the normal Internet Explorer 11 does not have that string.

Resolution



From Pega’s perspective, user has a When rule to check the unsupported browsers based on the browser user-agent string (see pyUnsupportedBrowsers When rule, essentially the user-agent string cannot have 'MSIE' in it).

User is suggested to work with IT team to find out why the user-agent strings like 'MSIE' are injected.

Published September 14, 2016 - Updated September 26, 2016

Have a question? Get answers now.

Visit the Collaboration Center to ask questions, engage in discussions, share ideas, and help others.